## gimpenums

gimpenums

## Functions

void | gimp_enums_init ()
const gchar ** | gimp_enums_get_type_names ()

## Types and Values

enum | GimpBrushApplicationMode
enum | GimpConvertDitherType
enum | GimpHistogramChannel
enum | GimpLayerColorSpace
enum | GimpLayerCompositeMode
enum | GimpLayerMode
typedef | GimpLayerModeEffects
#define | GIMP_NORMAL_MODE
#define | GIMP_DISSOLVE_MODE
#define | GIMP_BEHIND_MODE
#define | GIMP_MULTIPLY_MODE
#define | GIMP_SCREEN_MODE
#define | GIMP_OVERLAY_MODE
#define | GIMP_DIFFERENCE_MODE
#define | GIMP_ADDITION_MODE
#define | GIMP_SUBTRACT_MODE
#define | GIMP_DARKEN_ONLY_MODE
#define | GIMP_LIGHTEN_ONLY_MODE
#define | GIMP_HUE_MODE
#define | GIMP_SATURATION_MODE
#define | GIMP_COLOR_MODE
#define | GIMP_VALUE_MODE
#define | GIMP_DIVIDE_MODE
#define | GIMP_DODGE_MODE
#define | GIMP_BURN_MODE
#define | GIMP_HARDLIGHT_MODE
#define | GIMP_SOFTLIGHT_MODE
#define | GIMP_GRAIN_EXTRACT_MODE
#define | GIMP_GRAIN_MERGE_MODE
#define | GIMP_COLOR_ERASE_MODE
#define | GIMP_FIXED_DITHER
#define | GIMP_FSLOWBLEED_DITHER
#define | GIMP_FS_DITHER
#define | GIMP_NO_DITHER

## Description

## Functions

### gimp_enums_init ()

    void
    gimp_enums_init (void);

This function makes sure all the enum types are registered with the GType system. This is intended for use by language bindings that need the symbols early, before gimp_main is run. It's not necessary for plug-ins to call this directly, because the normal plug-in initialization code will handle it implicitly.

Since: 2.4

### gimp_enums_get_type_names ()

    const gchar **
    gimp_enums_get_type_names (gint *n_type_names);

This function gives access to the list of enums registered by libgimp. The returned array is static and must not be modified.

#### Parameters

n_type_names | return location for the number of names |

#### Returns

an array with type names

Since: 2.2

## Types and Values

### enum GimpBrushApplicationMode

#### Members

GIMP_BRUSH_HARD |  |
GIMP_BRUSH_SOFT |  |

### enum GimpConvertDitherType

#### Members

GIMP_CONVERT_DITHER_NONE |  |
GIMP_CONVERT_DITHER_FS |  |
GIMP_CONVERT_DITHER_FS_LOWBLEED |  |
GIMP_CONVERT_DITHER_FIXED |  |

### enum GimpHistogramChannel

#### Members

GIMP_HISTOGRAM_VALUE |  |
GIMP_HISTOGRAM_RED |  |
GIMP_HISTOGRAM_GREEN |  |
GIMP_HISTOGRAM_BLUE |  |
GIMP_HISTOGRAM_ALPHA |  |
GIMP_HISTOGRAM_LUMINANCE |  |

### enum GimpLayerColorSpace

#### Members

GIMP_LAYER_COLOR_SPACE_AUTO |  |
GIMP_LAYER_COLOR_SPACE_RGB_LINEAR |  |
GIMP_LAYER_COLOR_SPACE_RGB_PERCEPTUAL |  |

### enum GimpLayerCompositeMode

#### Members

GIMP_LAYER_COMPOSITE_AUTO |  |
GIMP_LAYER_COMPOSITE_UNION |  |
GIMP_LAYER_COMPOSITE_CLIP_TO_BACKDROP |  |
GIMP_LAYER_COMPOSITE_CLIP_TO_LAYER |  |
GIMP_LAYER_COMPOSITE_INTERSECTION |  |

### enum GimpLayerMode

#### Members

GIMP_LAYER_MODE_NORMAL_LEGACY |  |
GIMP_LAYER_MODE_DISSOLVE |  |
GIMP_LAYER_MODE_BEHIND_LEGACY |  |
GIMP_LAYER_MODE_MULTIPLY_LEGACY |  |
GIMP_LAYER_MODE_SCREEN_LEGACY |  |
GIMP_LAYER_MODE_OVERLAY_LEGACY |  |
GIMP_LAYER_MODE_DIFFERENCE_LEGACY |  |
GIMP_LAYER_MODE_ADDITION_LEGACY |  |
GIMP_LAYER_MODE_SUBTRACT_LEGACY |  |
GIMP_LAYER_MODE_DARKEN_ONLY_LEGACY |  |
GIMP_LAYER_MODE_LIGHTEN_ONLY_LEGACY |  |
GIMP_LAYER_MODE_HSV_HUE_LEGACY |  |
GIMP_LAYER_MODE_HSV_SATURATION_LEGACY |  |
GIMP_LAYER_MODE_HSL_COLOR_LEGACY |  |
GIMP_LAYER_MODE_HSV_VALUE_LEGACY |  |
GIMP_LAYER_MODE_DIVIDE_LEGACY |  |
GIMP_LAYER_MODE_DODGE_LEGACY |  |
GIMP_LAYER_MODE_BURN_LEGACY |  |
GIMP_LAYER_MODE_HARDLIGHT_LEGACY |  |
GIMP_LAYER_MODE_SOFTLIGHT_LEGACY |  |
GIMP_LAYER_MODE_GRAIN_EXTRACT_LEGACY |  |
GIMP_LAYER_MODE_GRAIN_MERGE_LEGACY |  |
GIMP_LAYER_MODE_COLOR_ERASE_LEGACY |  |
GIMP_LAYER_MODE_OVERLAY |  |
GIMP_LAYER_MODE_LCH_HUE |  |
GIMP_LAYER_MODE_LCH_CHROMA |  |
GIMP_LAYER_MODE_LCH_COLOR |  |
GIMP_LAYER_MODE_LCH_LIGHTNESS |  |
GIMP_LAYER_MODE_NORMAL |  |
GIMP_LAYER_MODE_BEHIND |  |
GIMP_LAYER_MODE_MULTIPLY |  |
GIMP_LAYER_MODE_SCREEN |  |
GIMP_LAYER_MODE_DIFFERENCE |  |
GIMP_LAYER_MODE_ADDITION |  |
GIMP_LAYER_MODE_SUBTRACT |  |
GIMP_LAYER_MODE_DARKEN_ONLY |  |
GIMP_LAYER_MODE_LIGHTEN_ONLY |  |
GIMP_LAYER_MODE_HSV_HUE |  |
GIMP_LAYER_MODE_HSV_SATURATION |  |
GIMP_LAYER_MODE_HSL_COLOR |  |
GIMP_LAYER_MODE_HSV_VALUE |  |
GIMP_LAYER_MODE_DIVIDE |  |
GIMP_LAYER_MODE_DODGE |  |
GIMP_LAYER_MODE_BURN |  |
GIMP_LAYER_MODE_HARDLIGHT |  |
GIMP_LAYER_MODE_SOFTLIGHT |  |
GIMP_LAYER_MODE_GRAIN_EXTRACT |  |
GIMP_LAYER_MODE_GRAIN_MERGE |  |
GIMP_LAYER_MODE_VIVID_LIGHT |  |
GIMP_LAYER_MODE_PIN_LIGHT |  |
GIMP_LAYER_MODE_LINEAR_LIGHT |  |
GIMP_LAYER_MODE_HARD_MIX |  |
GIMP_LAYER_MODE_EXCLUSION |  |
GIMP_LAYER_MODE_LINEAR_BURN |  |
GIMP_LAYER_MODE_LUMA_DARKEN_ONLY |  |
GIMP_LAYER_MODE_LUMA_LIGHTEN_ONLY |  |
GIMP_LAYER_MODE_LUMINANCE |  |
GIMP_LAYER_MODE_COLOR_ERASE |  |
GIMP_LAYER_MODE_ERASE |  |
GIMP_LAYER_MODE_MERGE |  |
GIMP_LAYER_MODE_SPLIT |  |
GIMP_LAYER_MODE_PASS_THROUGH |  |

### GimpLayerModeEffects

    typedef GimpLayerMode GimpLayerModeEffects;

`GimpLayerModeEffects` is deprecated and should not be used in newly-written code.

### GIMP_NORMAL_MODE

    #define GIMP_NORMAL_MODE        GIMP_LAYER_MODE_NORMAL_LEGACY

`GIMP_NORMAL_MODE` is deprecated and should not be used in newly-written code.

### GIMP_DISSOLVE_MODE

    #define GIMP_DISSOLVE_MODE      GIMP_LAYER_MODE_DISSOLVE

`GIMP_DISSOLVE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_BEHIND_MODE

    #define GIMP_BEHIND_MODE        GIMP_LAYER_MODE_BEHIND_LEGACY

`GIMP_BEHIND_MODE` is deprecated and should not be used in newly-written code.

### GIMP_MULTIPLY_MODE

    #define GIMP_MULTIPLY_MODE      GIMP_LAYER_MODE_MULTIPLY_LEGACY

`GIMP_MULTIPLY_MODE` is deprecated and should not be used in newly-written code.

### GIMP_SCREEN_MODE

    #define GIMP_SCREEN_MODE        GIMP_LAYER_MODE_SCREEN_LEGACY

`GIMP_SCREEN_MODE` is deprecated and should not be used in newly-written code.

### GIMP_OVERLAY_MODE

    #define GIMP_OVERLAY_MODE       GIMP_LAYER_MODE_OVERLAY_LEGACY

`GIMP_OVERLAY_MODE` is deprecated and should not be used in newly-written code.

### GIMP_DIFFERENCE_MODE

    #define GIMP_DIFFERENCE_MODE    GIMP_LAYER_MODE_DIFFERENCE_LEGACY

`GIMP_DIFFERENCE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_ADDITION_MODE

    #define GIMP_ADDITION_MODE      GIMP_LAYER_MODE_ADDITION_LEGACY

`GIMP_ADDITION_MODE` is deprecated and should not be used in newly-written code.

### GIMP_SUBTRACT_MODE

    #define GIMP_SUBTRACT_MODE      GIMP_LAYER_MODE_SUBTRACT_LEGACY

`GIMP_SUBTRACT_MODE` is deprecated and should not be used in newly-written code.

### GIMP_DARKEN_ONLY_MODE

    #define GIMP_DARKEN_ONLY_MODE   GIMP_LAYER_MODE_DARKEN_ONLY_LEGACY

`GIMP_DARKEN_ONLY_MODE` is deprecated and should not be used in newly-written code.

### GIMP_LIGHTEN_ONLY_MODE

    #define GIMP_LIGHTEN_ONLY_MODE  GIMP_LAYER_MODE_LIGHTEN_ONLY_LEGACY

`GIMP_LIGHTEN_ONLY_MODE` is deprecated and should not be used in newly-written code.

### GIMP_HUE_MODE

    #define GIMP_HUE_MODE           GIMP_LAYER_MODE_HSV_HUE_LEGACY

`GIMP_HUE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_SATURATION_MODE

    #define GIMP_SATURATION_MODE    GIMP_LAYER_MODE_HSV_SATURATION_LEGACY

`GIMP_SATURATION_MODE` is deprecated and should not be used in newly-written code.

### GIMP_COLOR_MODE

    #define GIMP_COLOR_MODE         GIMP_LAYER_MODE_HSL_COLOR_LEGACY

`GIMP_COLOR_MODE` is deprecated and should not be used in newly-written code.

### GIMP_VALUE_MODE

    #define GIMP_VALUE_MODE         GIMP_LAYER_MODE_HSV_VALUE_LEGACY

`GIMP_VALUE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_DIVIDE_MODE

    #define GIMP_DIVIDE_MODE        GIMP_LAYER_MODE_DIVIDE_LEGACY

`GIMP_DIVIDE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_DODGE_MODE

    #define GIMP_DODGE_MODE         GIMP_LAYER_MODE_DODGE_LEGACY

`GIMP_DODGE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_BURN_MODE

    #define GIMP_BURN_MODE          GIMP_LAYER_MODE_BURN_LEGACY

`GIMP_BURN_MODE` is deprecated and should not be used in newly-written code.

### GIMP_HARDLIGHT_MODE

    #define GIMP_HARDLIGHT_MODE     GIMP_LAYER_MODE_HARDLIGHT_LEGACY

`GIMP_HARDLIGHT_MODE` is deprecated and should not be used in newly-written code.

### GIMP_SOFTLIGHT_MODE

    #define GIMP_SOFTLIGHT_MODE     GIMP_LAYER_MODE_SOFTLIGHT_LEGACY

`GIMP_SOFTLIGHT_MODE` is deprecated and should not be used in newly-written code.

### GIMP_GRAIN_EXTRACT_MODE

    #define GIMP_GRAIN_EXTRACT_MODE GIMP_LAYER_MODE_GRAIN_EXTRACT_LEGACY

`GIMP_GRAIN_EXTRACT_MODE` is deprecated and should not be used in newly-written code.

### GIMP_GRAIN_MERGE_MODE

    #define GIMP_GRAIN_MERGE_MODE   GIMP_LAYER_MODE_GRAIN_MERGE_LEGACY

`GIMP_GRAIN_MERGE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_COLOR_ERASE_MODE

    #define GIMP_COLOR_ERASE_MODE   GIMP_LAYER_MODE_COLOR_ERASE_LEGACY

`GIMP_COLOR_ERASE_MODE` is deprecated and should not be used in newly-written code.

### GIMP_FIXED_DITHER

    #define GIMP_FIXED_DITHER      GIMP_CONVERT_DITHER_FIXED

`GIMP_FIXED_DITHER` is deprecated and should not be used in newly-written code.

### GIMP_FSLOWBLEED_DITHER

    #define GIMP_FSLOWBLEED_DITHER GIMP_CONVERT_DITHER_FS_LOWBLEED

`GIMP_FSLOWBLEED_DITHER` is deprecated and should not be used in newly-written code.

### GIMP_FS_DITHER

    #define GIMP_FS_DITHER         GIMP_CONVERT_DITHER_FS

`GIMP_FS_DITHER` is deprecated and should not be used in newly-written code.

### GIMP_NO_DITHER

    #define GIMP_NO_DITHER         GIMP_CONVERT_DITHER_NONE

`GIMP_NO_DITHER` is deprecated and should not be used in newly-written code.